OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.VertexArray

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTVertexArray :: MonadIO m => m Bool
- gl_EXT_vertex_array :: Bool
- pattern GL_COLOR_ARRAY_COUNT_EXT :: GLenum
- pattern GL_COLOR_ARRAY_EXT :: GLenum
- pattern GL_COLOR_ARRAY_POINTER_EXT :: GLenum
- pattern GL_COLOR_ARRAY_SIZE_EXT :: GLenum
- pattern GL_COLOR_ARRAY_STRIDE_EXT :: GLenum
- pattern GL_COLOR_ARRAY_TYPE_EXT :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_COUNT_EXT :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_EXT :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_POINTER_EXT :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_STRIDE_EXT :: GLenum
- pattern GL_INDEX_ARRAY_COUNT_EXT :: GLenum
- pattern GL_INDEX_ARRAY_EXT :: GLenum
- pattern GL_INDEX_ARRAY_POINTER_EXT :: GLenum
- pattern GL_INDEX_ARRAY_STRIDE_EXT :: GLenum
- pattern GL_INDEX_ARRAY_TYPE_EXT :: GLenum
- pattern GL_NORMAL_ARRAY_COUNT_EXT :: GLenum
- pattern GL_NORMAL_ARRAY_EXT :: GLenum
- pattern GL_NORMAL_ARRAY_POINTER_EXT :: GLenum
- pattern GL_NORMAL_ARRAY_STRIDE_EXT :: GLenum
- pattern GL_NORMAL_ARRAY_TYPE_EXT :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_COUNT_EXT :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_EXT :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_POINTER_EXT :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_SIZE_EXT :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_STRIDE_EXT :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_TYPE_EXT :: GLenum
- pattern GL_VERTEX_ARRAY_COUNT_EXT :: GLenum
- pattern GL_VERTEX_ARRAY_EXT :: GLenum
- pattern GL_VERTEX_ARRAY_POINTER_EXT :: GLenum
- pattern GL_VERTEX_ARRAY_SIZE_EXT :: GLenum
- pattern GL_VERTEX_ARRAY_STRIDE_EXT :: GLenum
- pattern GL_VERTEX_ARRAY_TYPE_EXT :: GLenum
- glArrayElementEXT :: MonadIO m => GLint -> m ()
- glColorPointerEXT :: MonadIO m => GLint -> GLenum -> GLsizei -> GLsizei -> Ptr a -> m ()
- glDrawArraysEXT :: MonadIO m => GLenum -> GLint -> GLsizei -> m ()
- glEdgeFlagPointerEXT :: MonadIO m => GLsizei -> GLsizei -> Ptr GLboolean -> m ()
- glGetPointervEXT :: MonadIO m => GLenum -> Ptr (Ptr a) -> m ()
- glIndexPointerEXT :: MonadIO m => GLenum -> GLsizei -> GLsizei -> Ptr a -> m ()
- glNormalPointerEXT :: MonadIO m => GLenum -> GLsizei -> GLsizei -> Ptr a -> m ()
- glTexCoordPointerEXT :: MonadIO m => GLint -> GLenum -> GLsizei -> GLsizei -> Ptr a -> m ()
- glVertexPointerEXT :: MonadIO m => GLint -> GLenum -> GLsizei -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetEXTVertexArray :: MonadIO m => m Bool Source #

Is the EXT_vertex_array extension supported?

gl_EXT_vertex_array :: Bool Source #

Is the EXT_vertex_array extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTVertexArray` in those cases instead.

# Enums

pattern GL_COLOR_ARRAY_COUNT_EXT :: GLenum Source #

pattern GL_COLOR_ARRAY_EXT :: GLenum Source #

pattern GL_COLOR_ARRAY_POINTER_EXT :: GLenum Source #

pattern GL_COLOR_ARRAY_SIZE_EXT :: GLenum Source #

pattern GL_COLOR_ARRAY_STRIDE_EXT :: GLenum Source #

pattern GL_COLOR_ARRAY_TYPE_EXT :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_COUNT_EXT :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_EXT :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_POINTER_EXT :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_STRIDE_EXT :: GLenum Source #

pattern GL_INDEX_ARRAY_COUNT_EXT :: GLenum Source #

pattern GL_INDEX_ARRAY_EXT :: GLenum Source #

pattern GL_INDEX_ARRAY_POINTER_EXT :: GLenum Source #

pattern GL_INDEX_ARRAY_STRIDE_EXT :: GLenum Source #

pattern GL_INDEX_ARRAY_TYPE_EXT :: GLenum Source #

pattern GL_NORMAL_ARRAY_COUNT_EXT :: GLenum Source #

pattern GL_NORMAL_ARRAY_EXT :: GLenum Source #

pattern GL_NORMAL_ARRAY_POINTER_EXT :: GLenum Source #

pattern GL_NORMAL_ARRAY_STRIDE_EXT :: GLenum Source #

pattern GL_NORMAL_ARRAY_TYPE_EXT :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_COUNT_EXT :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_EXT :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_POINTER_EXT :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_SIZE_EXT :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_STRIDE_EXT :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_TYPE_EXT :: GLenum Source #

pattern GL_VERTEX_ARRAY_COUNT_EXT :: GLenum Source #

pattern GL_VERTEX_ARRAY_EXT :: GLenum Source #

pattern GL_VERTEX_ARRAY_POINTER_EXT :: GLenum Source #

pattern GL_VERTEX_ARRAY_SIZE_EXT :: GLenum Source #

pattern GL_VERTEX_ARRAY_STRIDE_EXT :: GLenum Source #

pattern GL_VERTEX_ARRAY_TYPE_EXT :: GLenum Source #

# Functions

glArrayElementEXT Source #

Arguments

:: MonadIO m |
=> GLint | `i`.
-> m () |

This command is an alias for `glArrayElement`.

glColorPointerEXT Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type ColorPointerType.
-> GLsizei | `stride`.
-> GLsizei | `count`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride,count)` elements of type `a`.
-> m () |

glDrawArraysEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLint | `first`.
-> GLsizei | `count`.
-> m () |

This command is an alias for `glDrawArrays`.

glEdgeFlagPointerEXT Source #

Arguments

:: MonadIO m |
=> GLsizei | `stride`.
-> GLsizei | `count`.
-> Ptr GLboolean | `pointer` pointing to `COMPSIZE(stride,count)` elements of type Boolean.
-> m () |

glGetPointervEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPointervPName.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

This command is an alias for `glGetPointerv`.

glIndexPointerEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type IndexPointerType.
-> GLsizei | `stride`.
-> GLsizei | `count`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride,count)` elements of type `a`.
-> m () |

glNormalPointerEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type NormalPointerType.
-> GLsizei | `stride`.
-> GLsizei | `count`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride,count)` elements of type `a`.
-> m () |

glTexCoordPointerEXT Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type TexCoordPointerType.
-> GLsizei | `stride`.
-> GLsizei | `count`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride,count)` elements of type `a`.
-> m () |

glVertexPointerEXT Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type VertexPointerType.
-> GLsizei | `stride`.
-> GLsizei | `count`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride,count)` elements of type `a`.
-> m () |